<template>
  <header>
    <nav class="navbar" role="navigation" aria-label="main navigation">
      <div class="navbar-brand">
        <!-- <NuxtLink class="navbar-item" to="/">TRANSTORMER</NuxtLink> -->
        <NuxtLink class="navbar-item" to="/">
          <img src="/logo-horizon-nega.svg" />
        </NuxtLink>

        <!-- <a class="navbar-item" href="https://bulma.io">
          <img src="https://bulma.io/images/bulma-logo.png" width="112" height="28">
        </a> -->

        <a
          role="button"
          class="navbar-burger"
          aria-label="menu"
          aria-expanded="false"
          data-target="navbarBasic"
          @click="toggleMobMenu"
        >
          <span aria-hidden="true"></span>
          <span aria-hidden="true"></span>
          <span aria-hidden="true"></span>
        </a>
      </div>

      <div id="navbarBasic" class="navbar-menu">
        <div class="navbar-start">
          <!-- <div class="navbar-item is-hoverable">
            <NuxtLink class="navbar-item" to="/">TRANSTORMER</NuxtLink>
          </div> -->
          <HeaderCategory
            v-for="(nav, nx) in navs"
            :key="'hnav_' + nx"
            :category="nav"
          />
        </div>

        <!-- <div class="navbar-end">
          <div class="navbar-item">
            <div class="buttons">
              <a class="button is-primary">
                <strong>Sign up</strong>
              </a>
              <a class="button is-light"> Log in </a>
            </div>
          </div>
        </div> -->
      </div>
    </nav>
    <div v-if="mob">
      <MobileMenu />
      <button class="button is-fullwidth is-text" @click="toggleMobMenu">
        閉じる
      </button>
    </div>
  </header>
</template>

<script setup lang="ts">
import { useMobMenu } from "~~/composables/mobmenu";
import HeaderCategory from "./HeaderCategory.vue";
import MobileMenu from "./MobileMenu.vue";
const navs = useNavigation();
// const openSide = ref(false)
const mob = useMobMenu();
const toggleMobMenu = () => {
  mob.value = !mob.value;
};
</script>